package com.xintong.visualinspection.service.impl;

import java.util.List;

import com.xintong.visualinspection.service.UserService;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.xintong.visualinspection.bean.Webcam;
import com.xintong.visualinspection.dao.cluster.WebcamDao;
import com.xintong.visualinspection.service.BaseService;
import com.xintong.visualinspection.service.WebcamService;

/**
 * 文件名：UserServiceImpl
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Service
public class WebcamServiceImpl extends BaseService implements WebcamService {

    private static final org.slf4j.Logger logger = LoggerFactory.getLogger(UserService.class);


    @Autowired
    private WebcamDao webcamDao;


	@Override
	public List<Webcam> getAll() {
		return webcamDao.getAll();
	}


	@Override
	public Webcam getOne(String deviceid) {
	    return webcamDao.getOne(deviceid);
	}


	@Override
	public List<Webcam> getWebcams(Webcam webcam) {
		return webcamDao.getWebcams(webcam);
	}


}
